Subject: Re: bug#12153: 24.1.50; vc-checkin fails when buffers of files doesn't exist.

From: Glenn Morris <[email-masked]>
Date: Tue, 07 Aug 2012 12:00:37 -0400

Thierry Volpiatto wrote:

> trying to use `vc-checkin' from lisp, I found that it is not usable when
> the buffers of the files I want to commit are not present.
> This is due I think to the concept of `with-vc-properties' that need
> some buffer properties to get info on files (there is a note about this in
> the definition of `vc-checkin').

I don't understand why you think this is a bug. Why not just ensure the
buffers exist, if that is what the function requires?

> I understand that when commiting changes vc can expect the buffer of the
> modified file is present, but when adding new files, this may not be
> true.

But obviously you can make it true. I've committed new files many times
from VC with no problem.

> Also when an eshell buffer is present, vc ask about this buffer, which
> is wrong (but that's maybe another bug).

Sounds like.